> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamkap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get topic statistics



## OpenAPI

````yaml /openapi/openapi.json get /topics/statistics
openapi: 3.1.0
info:
  title: Streamkap REST API
  description: >-
    The Streamkap REST API allows you to programmatically manage your CDC
    pipelines, sources, destinations, transforms, and more.


    Authenticate using a bearer token obtained from the [Access
    Token](/api-reference/auth/access-token) endpoint with your API client
    credentials.
  contact:
    name: Streamkap Support
    url: https://streamkap.com/
    email: support@streamkap.com
  license:
    name: Proprietary
  version: 2.0.0
servers:
  - url: https://api.streamkap.com
    description: Production
security: []
tags:
  - name: Alerts
    description: Manage alert subscribers, preferences, and notification credentials.
  - name: Authentication
    description: Obtain and refresh access tokens, manage client credentials and roles.
  - name: Billing
    description: Retrieve usage metrics, summaries, and export billing data.
  - name: Consumer Groups
    description: List, inspect, and reset Kafka consumer group offsets.
  - name: Dashboard
    description: Retrieve organisation-level statistics and overview data.
  - name: Destinations
    description: Create, configure, and manage data destinations and their lifecycle.
  - name: Kafka Access
    description: Manage Kafka users and their access permissions.
  - name: Logs
    description: Query and summarise system logs.
  - name: Pipelines
    description: Create, configure, and manage CDC pipelines and their lifecycle.
  - name: Project Keys
    description: Manage project keys that bundle API credentials and optional Kafka access.
  - name: Schema Registry
    description: Browse schema subjects, versions, and retrieve schema definitions.
  - name: Services
    description: View and switch service metadata.
  - name: Sources
    description: >-
      Create, configure, and manage data sources, snapshots, and their
      lifecycle.
  - name: Tags
    description: Create, update, and manage resource tags for organisation.
  - name: Topics
    description: Browse topic details, statistics, configurations, metrics, and messages.
  - name: Transforms
    description: >-
      Create, deploy, and manage data transforms, unit tests, and implementation
      details.
paths:
  /topics/statistics:
    get:
      tags:
        - Topics
      summary: Get topic statistics
      operationId: getTopicStatistics
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TopicStatisticsRes'
      security:
        - FronteggHTTPAuthentication: []
components:
  schemas:
    TopicStatisticsRes:
      properties:
        byteTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Bytetotal
        recordRetryTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Recordretrytotal
        recordSendTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Recordsendtotal
        recordErrorTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Recorderrortotal
        recordWrittenTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Recordwrittentotal
        partitionTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Partitiontotal
        topicTotal:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Topictotal
        latencyAvg:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Latencyavg
      additionalProperties: true
      type: object
      required:
        - byteTotal
        - recordRetryTotal
        - recordSendTotal
        - recordErrorTotal
        - recordWrittenTotal
        - partitionTotal
        - topicTotal
        - latencyAvg
      title: TopicStatisticsRes
  securitySchemes:
    FronteggHTTPAuthentication:
      type: http
      scheme: bearer

````